Package ghidra.framework.model

# Interface WorkspaceChangeListener

All Superinterfaces:
  `EventListener`, `PropertyChangeListener`

public interface WorkspaceChangeListener extends PropertyChangeListener
Listener that is notified when a tool is added or removed from a workspace, or when workspace properties change.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `void`
  `toolAdded(Workspace ws, PluginTool tool)`
  Notification that a tool was added to the given workspace.
  `void`
  `toolRemoved(Workspace ws, PluginTool tool)`
  Notification that a tool was removed from the given workspace.
  `void`
  `workspaceAdded(Workspace ws)`
  Notification that the given workspace was added by the ToolManager.
  `void`
  `workspaceRemoved(Workspace ws)`
  Notification that the given workspace was removed by the ToolManager.
  `void`
  `workspaceSetActive(Workspace ws)`
  Notification that the given workspace is the current one.

  ### Methods inherited from interface java.beans.PropertyChangeListener

  `propertyChange`

- ## Method Details

  - ### toolAdded

    void toolAdded(Workspace ws, PluginTool tool)
    Notification that a tool was added to the given workspace.
    Parameters:
      `ws` - workspace the affected workspace
      `tool` - tool that was added

  - ### toolRemoved

    void toolRemoved(Workspace ws, PluginTool tool)
    Notification that a tool was removed from the given workspace.
    Parameters:
      `ws` - workspace the affected workspace
      `tool` - tool that was removed from the workspace

  - ### workspaceAdded

    void workspaceAdded(Workspace ws)
    Notification that the given workspace was added by the ToolManager.
    Parameters:
      `ws` - workspace the affected workspace

  - ### workspaceRemoved

    void workspaceRemoved(Workspace ws)
    Notification that the given workspace was removed by the ToolManager.
    Parameters:
      `ws` - workspace the affected workspace

  - ### workspaceSetActive

    void workspaceSetActive(Workspace ws)
    Notification that the given workspace is the current one.
    Parameters:
      `ws` - workspace the affected workspace